/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.pool;

import org.objectweb.fractal.fraclet.annotation.annotations.Interface;

/**
 * Interface used by object pools to get new instance of pooled object. This
 * interface is usually provided by the component that use the object pool.
 */
@Interface(name = RecyclableFactoryType.ITF_NAME)
public interface RecyclableFactoryType
{
  /** Default interface name. */
  String ITF_NAME = "recyclable-factory";
  
  /**
   * Creates and returns a new instance of objects pooled by an object pool.
   * 
   * @return an instance that is pooled by an object pool.
   */
  Recyclable newInstance();
}
